package ai.pai.lensman.db;

import android.content.Context;
import android.content.SharedPreferences;

import ai.pai.lensman.App;
import ai.pai.lensman.BuildConfig;

public class Preferences {

    private SharedPreferences mPrefs;
    private static Preferences instance;
    private static final String NullStr = "";

    private Preferences() {
        mPrefs = App.getAppContext().getSharedPreferences("prefs", Context.MODE_PRIVATE);
    }

    public static synchronized Preferences getInstance() {

        if (instance == null) {
            instance = new Preferences();
        }
        return instance;
    }


    public void setLastRunDate(String date) {
        mPrefs.edit().putString("lastRunDate", date).commit();
    }

    public String getLastRunDate() {
        return mPrefs.getString("lastRunDate", "1970-01-01");
    }

    public void setUserName(String userName){
        mPrefs.edit().putString("userName",userName).commit();
    }

    public String getUserName(){
        return mPrefs.getString("userName",NullStr);
    }

    public void setLensManId(String lensManId){
        mPrefs.edit().putString("lensManId",lensManId).commit();
    }

    public String getLensManId(){
        return mPrefs.getString("lensManId",BuildConfig.isJumpLogin?"Cwi7HSh":NullStr);
    }

    public void setLensManType(String lensManType){
        mPrefs.edit().putString("lensManType",lensManType).commit();
    }

    public String getLensManType(){
        return mPrefs.getString("lensManType",NullStr);
    }

    public void setCameraLibVersion(int version){
        mPrefs.edit().putInt("cameraLibVer",version).commit();
    }

    public int getCameraLibVersion(){
        return mPrefs.getInt("cameraLibVer",0);
    }

    public void setPatchUrl(String patchUrl){
        mPrefs.edit().putString("patchUrl",patchUrl).commit();
    }

    public String getPatchUrl(){
        return mPrefs.getString("patchUrl",NullStr);
    }

    public void setUploadDelay(int delay){
        mPrefs.edit().putInt("delay",delay).commit();
    }

    public int getUploadDelay(){
        return mPrefs.getInt("delay",10);
    }

    public boolean isEnergySaveMode(){
        return mPrefs.getBoolean("isEnergySaveMode",false);
    }

    public void setEnergySaveMode(boolean isEnergySaveMode){
        mPrefs.edit().putBoolean("isEnergySaveMode",isEnergySaveMode).commit();
    }
    public boolean isUploadInMobile(){
        return mPrefs.getBoolean("uploadInMobile",true);
    }

    public void setUploadInMobile(boolean uploadInMobile){
        mPrefs.edit().putBoolean("uploadInMobile",uploadInMobile).commit();
    }

    public void setCameraQueryInterval(int interval){
        mPrefs.edit().putInt("interval",interval).commit();
    }

    public int getCameraQueryInterval(){
        return mPrefs.getInt("interval",50);
    }

    public void clearPrefs(){
        mPrefs.edit().clear().commit();
    }
}
