package ai.pai.lensman.settings;

import android.content.Intent;
import android.os.Bundle;
import android.support.annotation.Nullable;
import android.widget.EditText;
import android.widget.Toast;

import ai.pai.lensman.R;
import ai.pai.lensman.activities.AboutUsActivity;
import ai.pai.lensman.activities.FeedbackActivity;
import ai.pai.lensman.activities.WebViewActivity;
import ai.pai.lensman.base.BaseActivity;
import ai.pai.lensman.db.Preferences;
import ai.pai.lensman.login.LoginActivity;
import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;


public class SettingsActivity extends BaseActivity {

    @BindView(R.id.et_query_interval) EditText cameraQueyInterval;

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_settings);
        unbinder = ButterKnife.bind(this);
        cameraQueyInterval.setText(String.valueOf(Preferences.getInstance().getCameraQueryInterval()));
    }


    @OnClick(R.id.title_bar_back_layout)
    void back(){
        finish();
    }

    @OnClick(R.id.layout_about_us)
    void go2About(){
        startActivity(new Intent(this, AboutUsActivity.class));
    }

    @OnClick(R.id.layout_contact)
    void go2Contact(){
        Intent contactIntent = new Intent(this,WebViewActivity.class);
        contactIntent.putExtra("url","http://pai.ai/page/contact_us");
        contactIntent.putExtra("title",getString(R.string.contact_us));
        startActivity(contactIntent);
    }

    @OnClick(R.id.layout_feedback)
    void go2Feedback(){
        startActivity(new Intent(this, FeedbackActivity.class));
    }

    @OnClick(R.id.btn_user_logout)
    void logout(){
        Preferences.getInstance().setLensManId("");
        Preferences.getInstance().setLensManType("");
        Intent intent = new Intent(this, LoginActivity.class);
        intent.setFlags(Intent.FLAG_ACTIVITY_CLEAR_TASK | Intent.FLAG_ACTIVITY_NEW_TASK);
        startActivity(intent);
        finish();
    }

    @OnClick(R.id.btn_confirm_interval)
    void confirmInterval(){
        if(cameraQueyInterval.getText()!=null && !cameraQueyInterval.getText().toString().isEmpty()){
            try{
                int interval = Integer.parseInt(cameraQueyInterval.getText().toString());
                if(interval>=10 && interval<=2000){
                    Preferences.getInstance().setCameraQueryInterval(interval);
                    Toast.makeText(this,"设置成功,间隔是"+interval+"ms",Toast.LENGTH_SHORT).show();
                    finish();
                }else{
                    Toast.makeText(this,"间隔应该在[10,2000]区间内",Toast.LENGTH_SHORT).show();
                }
            }catch (Exception e){
                e.printStackTrace();
            }
        }
    }

}
